CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] -bash: fluentMeshToFoam: command not found, after installing OpenFoam 2.3.x on Mac

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   July 1, 2015, 13:28
Default -bash: fluentMeshToFoam: command not found, after installing OpenFoam 2.3.x on Mac
  #1
New Member
 
Join Date: Jun 2015
Posts: 3
Rep Power: 6
jundong is on a distinguished road
Hello guys,

I followed the guide on this link:
https://openfoamwiki.net/index.php/I...OpenFOAM_2.3.x
to install the OpenFoam 2.3.x on my mac with Yosemite.

I finished the step 2.6 Install:
Code:
./Allwmake > log.Allwmake 2>&1
After this step, there is no message '"Proper OpenMPI not installed. Either do 'port install openmpi-mp' or 'port install openmpi-default'" , However, the log.Allwmake file gave me warnings:
Quote:
23 warnings generated.
mpicxx -m64 -fsignaling-nans -ftrapping-math -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O2 -DNoRepository -ftemplate-depth-100 -I../solidDisplacementFoam -ItractionDisplacementCorrectionStress -I/Users/OpenFOAM/OpenFOAM-2.3.x/src/finiteVolume/lnInclude -I/Users/OpenFOAM/OpenFOAM-2.3.x/src/meshTools/lnInclude -IlnInclude -I. -I/Users/OpenFOAM/OpenFOAM-2.3.x/src/OpenFOAM/lnInclude -I/Users/OpenFOAM/OpenFOAM-2.3.x/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -lpthread -L/Users/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64GccDPOpt/lib/openmpi-macport-mp -lPstream Make/darwinIntel64GccDPOpt/tractionDisplacementCorrectionFvPatchVectorField.o Make/darwinIntel64GccDPOpt/solidEquilibriumDisplacementFoam.o -L/Users/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64GccDPOpt/lib \
-lfiniteVolume -lmeshTools -lOpenFOAM -ldl -lpthread -lm -o /Users/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64GccDPOpt/bin/solidEquilibriumDisplacementFoam
Undefined symbols for architecture x86_64:
"Foam::error::safePrintStack(std::__1::basic_ostre am<char, std::__1::char_traits<char> >&)", referenced from:
Foam::fvPatchField<Foam::Vector<double> >::adddictionaryConstructorToTable<Foam::tractionD isplacementCorrectionFvPatchVectorField>::adddicti onaryConstructorToTable(Foam::word const&) in tractionDisplacementCorrectionFvPatchVectorField.o
Foam::fvPatchField<Foam::Vector<double> >::addpatchMapperConstructorToTable<Foam::traction DisplacementCorrectionFvPatchVectorField>::addpatc hMapperConstructorToTable(Foam::word const&) in tractionDisplacementCorrectionFvPatchVectorField.o
Foam::fvPatchField<Foam::Vector<double> >::addpatchConstructorToTable<Foam::tractionDispla cementCorrectionFvPatchVectorField>::addpatchConst ructorToTable(Foam::word const&) in tractionDisplacementCorrectionFvPatchVectorField.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [/Users/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64GccDPOpt/bin/solidEquilibriumDisplacementFoam] Error 1
make[1]: *** [solidEquilibriumDisplacementFoam] Error 2
make[1]: Target `application' not remade because of errors.
make: *** [stressAnalysis] Error 2
make: Target `application' not remade because of errors.
Also, I tried the tutorials, I cannot use the command 'fluentMeshToFoam'.

Any help?
Thank you guys!
jundong is offline   Reply With Quote

Old   July 1, 2015, 14:31
Default
  #2
New Member
 
Join Date: Jun 2015
Posts: 3
Rep Power: 6
jundong is on a distinguished road
BTW, after following the link, I cannot use Python in the terminal anymore. It sucks!!!
jundong is offline   Reply With Quote

Reply

Tags
mac os x, openfoam 2.3.x, yosemite

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] Error in sourcing OpenFOAM 5.x WhiteW OpenFOAM Installation 14 April 18, 2018 22:00
OpenFOAM v3.0+ ?? SBusch OpenFOAM 22 December 26, 2016 15:24
[OpenFOAM.org] Problems installing OpenFOAM 2.3.0 on Ubuntu 12.04 arieljeds OpenFOAM Installation 6 August 19, 2015 08:39
[OpenFOAM.org] Problem installing OpenFOAM on OS X 10.9.5 zahrashomali OpenFOAM Installation 0 December 22, 2014 03:09
Regarding FoamX running Kindly help out hariya03 OpenFOAM Pre-Processing 0 April 18, 2008 05:26


All times are GMT -4. The time now is 06:21.